Bug 1317183 - Review Request: erlang-stun - STUN and TURN library for Erlang / Elixir
Review Request: erlang-stun - STUN and TURN library for Erlang / Elixir
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On: 1316767
Blocks: 1304923 1312517
  Show dependency treegraph
 
Reported: 2016-03-12 16:20 EST by Randy Barlow
Modified: 2016-04-12 12:07 EDT (History)
2 users (show)

See Also:
Fixed In Version: erlang-stun-1.0.1-1.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-12 12:07:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lemenkov: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Randy Barlow 2016-03-12 16:20:23 EST
Spec URL: https://rbarlow.fedorapeople.org/erlang-stun.spec
SRPM URL: https://rbarlow.fedorapeople.org/erlang-stun-1.0.1-1.fc25.src.rpm
Description: STUN and TURN library for Erlang / Elixir. Both STUN (Session Traversal
Utilities for NAT) and TURN standards are used as techniques to establish media
connection between peers for VoIP (for example using SIP or Jingle) and WebRTC.
Fedora Account System Username: rbarlow

This is a rename of the erlang-p1_stun package, corresponding with upstream's recent rename.

https://admin.fedoraproject.org/pkgdb/package/rpms/erlang-p1_stun/
Comment 1 Randy Barlow 2016-03-12 16:21:38 EST
This is blocked on the erlang-fast_tls package review, since that package is a dependency of this one.
Comment 2 Peter Lemenkov 2016-04-11 11:44:44 EDT
I'll review it.
Comment 3 Peter Lemenkov 2016-04-11 15:19:09 EDT
REVIEW:

[+] rpmlint is silent (or produces only messages which can be safely ignored:

Auriga ~/rpmbuild/SPECS: rpmlint ../SRPMS/erlang-stun-1.0.1-1.fc24.src.rpm ../RPMS/x86_64/erlang-stun-1.0.1-1.fc24.x86_64.rpm 
erlang-stun.x86_64: E: no-binary
erlang-stun.x86_64: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 1 errors, 1 warnings.
Auriga ~/rpmbuild/SPECS:

These two messages are expected for arch0independent Erlang packages.

[+] The package is named according to the Package Naming Guidelines.
[+] The spec file name matches the base package %{name}, in the format %{name}.spec.
[+] The package meets the Erlang Packaging Guidelines.
[+] The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
[+] The License field in the package spec file matches the actual license (Apache 2.0).
[+] The file, containing the text of the license(s) for the package, is included in %doc and marked as %license.
[+] The spec file is written in American English.
[+] The spec file for the package is legible.
[+] The sources used to build the package matches the upstream source, as provided in the spec URL.

Auriga ~/rpmbuild/SOURCES: sha256sum 1.0.1.tar.gz*
a48837cc0db5de108243466a5531c046ab86706b7779f9ebc0f381b06ebade58  1.0.1.tar.gz
a48837cc0db5de108243466a5531c046ab86706b7779f9ebc0f381b06ebade58  1.0.1.tar.gz.1
Auriga ~/rpmbuild/SOURCES: 

[+] The package successfully compiles and builds into binary rpms.
[+] All build dependencies are listed in BuildRequires.
[+] The spec file handles locales properly (using the %find_lang macro).
[0] No need to handle locales.
[0] The package does not contain any shared library files.
[+] Packages does not bundle copies of system libraries.
[+] The package isn't designed to be relocatable.
[+] The package owns all directories that it creates.
[+] The package does not list a file more than once in the spec file's %files listings.
[+] Permissions on files are set properly.
[+] The package consistently uses macros.
[+] The package contains code, or permissible content.
[0] No large documentation files.
[+] Anything, the package includes as %doc, does not affect the runtime of the application.
[0] No static libraries.
[0] No -devel sub-package.
[+] The package does not contain any .la libtool archives.
[0] Not a GUI application.
[+] The package does not own files or directories already owned by other packages.
[+] All filenames in rpm packages are valid UTF-8.

APPROVED!

Note You need to log in before you can comment on or make changes to this bug.